Bug 531992 - not prompted for passphrase
Summary: not prompted for passphrase
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux-ng
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 532594 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-30 07:03 UTC by Need Real Name
Modified: 2010-12-04 03:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 03:36:14 UTC
Type: ---


Attachments (Terms of Use)

Description Need Real Name 2009-10-30 07:03:07 UTC
When I connect a removable device containing a luks partition, I am not prompted for a passphrase.

Comment 1 David Zeuthen 2009-10-30 21:00:52 UTC
(In reply to comment #0)
> When I connect a removable device containing a luks partition, I am not
> prompted for a passphrase.  

Please attach the information requested here:

 http://www.freedesktop.org/wiki/Software/DeviceKit-disks

Thanks.

Comment 2 Need Real Name 2009-10-30 21:33:35 UTC
$ devkit-disks --dump

Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb
  native-path:                 /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host4/target4:0:0/4:0:0:0/block/sdb
  device:                      8:16
  device-file:                 /dev/sdb
    by-id:                     /dev/disk/by-id/usb-SAMSUNG_HD501LJ_XXXXXXXXXXX-0:0
    by-path:                   /dev/disk/by-path/pci-0000:00:1d.7-usb-0:2:1.0-scsi-0:0:0:0
  detected at:                 Fre 30 Okt 2009 22:25:59 CET
  system internal:             0
  removable:                   0
  has media:                   1 (detected at Fre 30 Okt 2009 22:25:59 CET)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  size:                        500107862016
  block size:                  512
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  partition table:
    scheme:                    mbr
    count:                     1
  drive:
    vendor:                    SAMSUNG
    model:                     HD501LJ
    revision:                  0-10
    serial:                    03BC0E4904BF
    detachable:                1
    can spindown:              0
    rotational media:          1
    ejectable:                 0
    media:                     
      compat:                 
    interface:                 usb
    if speed:                  480000000 bits/s
    ATA SMART:                 not available

========================================================================
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb1
  native-path:                 /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host4/target4:0:0/4:0:0:0/block/sdb/sdb1
  device:                      8:17
  device-file:                 /dev/sdb1
    by-id:                     /dev/disk/by-id/usb-SAMSUNG_HD501LJ_XXXXXXXXXXX-0:0-part1
    by-path:                   /dev/disk/by-path/pci-0000:00:1d.7-usb-0:2:1.0-scsi-0:0:0:0-part1
  detected at:                 Fre 30 Okt 2009 22:25:59 CET
  system internal:             0
  removable:                   0
  has media:                   1 (detected at Fre 30 Okt 2009 22:25:59 CET)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  size:                        500105217024
  block size:                  512
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  partition:
    part of:                   /org/freedesktop/DeviceKit/Disks/devices/sdb
    scheme:                    mbr
    number:                    1
    type:                      0x83
    flags:                
    offset:                    32256
    size:                      500105217024
    label:                     
    uuid:                      

$ rpm -q DeviceKit-disks gvfs libatasmart
DeviceKit-disks-008-1.fc12.x86_64
gvfs-1.4.1-1.fc12.x86_64
libatasmart-0.17-1.fc12.x86_64

$ gvfs-mount -li

Drive(3): 503 MB Festplatte
  Type: GProxyDrive (GProxyVolumeMonitorGdu)
  ids:
   unix-device: '/dev/dm-2'
  themed icons:  [drive-harddisk]  [drive]
  is_media_removable=0
  has_media=1
  is_media_check_automatic=0
  can_poll_for_media=0
  can_eject=0
  can_start=0
  can_stop=0
  start_stop_type=unknown
  Volume(0): 503 MB Verschlüsselt
    Type: GProxyVolume (GProxyVolumeMonitorGdu)
    ids:
     uuid: 'a12b3456-f1be-1e9e-b71d-9e9eeee99e99'
     unix-device: '/dev/dm-2'
    can_mount=1
    can_eject=0
    should_automount=0

Comment 3 Need Real Name 2009-10-30 21:42:37 UTC
The drive was not showing up under Computer before now.

If I click it, I am prompted for a passphrase and it hangs.
If I click it again, I get the error:
 DBus error org.gtk.Private.RemoteVolumeMonitor.Failed: An operation is already pending

There is no prompting for the passphrase when the device is attached.

Comment 4 David Zeuthen 2009-10-30 22:08:07 UTC
Thanks for the information. Since the bug happens when you attach the device please capture the following information as well

    * the output of 'devkit-disks --monitor-detail'
    * the output of 'gvfs-mount -oi' captured from the desktop session
      as the user (not root) 

from a freshly booted system when the disk is plugged in. Thanks.

Comment 5 David Zeuthen 2009-10-30 22:11:09 UTC
(In reply to comment #4)
> Thanks for the information. Since the bug happens when you attach the device
> please capture the following information as well
> 
>     * the output of 'devkit-disks --monitor-detail'
>     * the output of 'gvfs-mount -oi' captured from the desktop session
>       as the user (not root) 
> 
> from a freshly booted system when the disk is plugged in. Thanks.  
                                    ^^^^^^^^^^^^^^^^^^^^^^

I meant "when plugging in the disk".

Comment 6 David Zeuthen 2009-10-30 22:12:50 UTC
Also, just for posterity, are you running SELinux in enforcing mode? If so, good, but please also try this in permissive mode. Thanks.

Comment 7 Need Real Name 2009-10-31 10:52:55 UTC
$ devkit-disks --monitor-detail
Monitoring activity from the disks daemon. Press Ctrl+C to cancel.
added:     /org/freedesktop/DeviceKit/Disks/devices/sdb
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb
  native-path:                 /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host4/target4:0:0/4:0:0:0/block/sdb
  device:                      8:16
  device-file:                 /dev/sdb
    by-id:                     /dev/disk/by-id/usb-SAMSUNG_HD501LJ_XXXXXXXXXXX-0:0
    by-path:                   /dev/disk/by-path/pci-0000:00:1d.7-usb-0:2:1.0-scsi-0:0:0:0
  detected at:                 Sam 31 Okt 2009 11:48:27 CET
  system internal:             0
  removable:                   0
  has media:                   1 (detected at Sam 31 Okt 2009 11:48:27 CET)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  size:                        500107862016
  block size:                  512
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  partition table:
    scheme:                    mbr
    count:                     1
  drive:
    vendor:                    SAMSUNG
    model:                     HD501LJ
    revision:                  0-10
    serial:                    XXXXXXXXXXX
    detachable:                1
    can spindown:              0
    rotational media:          1
    ejectable:                 0
    media:                     
      compat:                 
    interface:                 usb
    if speed:                  480000000 bits/s
    ATA SMART:                 not available

added:     /org/freedesktop/DeviceKit/Disks/devices/sdb1
Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb1
  native-path:                 /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host4/target4:0:0/4:0:0:0/block/sdb/sdb1
  device:                      8:17
  device-file:                 /dev/sdb1
    by-id:                     /dev/disk/by-id/usb-SAMSUNG_HD501LJ_XXXXXXXXXXX-0:0-part1
    by-path:                   /dev/disk/by-path/pci-0000:00:1d.7-usb-0:2:1.0-scsi-0:0:0:0-part1
  detected at:                 Sam 31 Okt 2009 11:48:32 CET
  system internal:             0
  removable:                   0
  has media:                   1 (detected at Sam 31 Okt 2009 11:48:32 CET)
    detects change:            0
    detection by polling:      0
    detection inhibitable:     0
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  size:                        500105217024
  block size:                  512
  job underway:                no
  usage:                       
  type:                        
  version:                     
  uuid:                        
  label:                       
  partition:
    part of:                   /org/freedesktop/DeviceKit/Disks/devices/sdb
    scheme:                    mbr
    number:                    1
    type:                      0x83
    flags:                
    offset:                    32256
    size:                      500105217024
    label:                     
    uuid:                      

$ gvfs-mount -oi
Monitoring events. Press Ctrl+C to quit.

(nothing)

Am running in enforcing mode. In permissive gvfs-mount does nothing different.

Comment 8 David Zeuthen 2009-10-31 14:22:43 UTC
(In reply to comment #7)
> $ devkit-disks --monitor-detail

<snip>

> added:     /org/freedesktop/DeviceKit/Disks/devices/sdb1
> Showing information for /org/freedesktop/DeviceKit/Disks/devices/sdb1

<snip>

>   usage:                       
>   type:                        
>   version:                     

Is /dev/sdb1 supposed to be the partition with LUKS on? If so, it's not showing up and that's why you are not getting prompted.

What's the output of 'udevadm info -q all -n /dev/sdb1'?

Comment 9 Need Real Name 2009-10-31 15:12:36 UTC
Yes it is.

$ udevadm info -q all -n /dev/sdb1
P: /devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host4/target4:0:0/4:0:0:0/block/sdb/sdb1
N: sdb1
W: 53
S: block/8:17
S: disk/by-id/usb-SAMSUNG_HD501LJ_XXXXXXXXXXX-0:0-part1
S: disk/by-path/pci-0000:00:1d.7-usb-0:2:1.0-scsi-0:0:0:0-part1
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.7/usb2/2-2/2-2:1.0/host4/target4:0:0/4:0:0:0/block/sdb/sdb1
E: MAJOR=8
E: MINOR=17
E: DEVNAME=/dev/sdb1
E: DEVTYPE=partition
E: ID_VENDOR=SAMSUNG
E: ID_VENDOR_ENC=SAMSUNG\x20
E: ID_VENDOR_ID=07ab
E: ID_MODEL=HD501LJ
E: ID_MODEL_ENC=HD501LJ\x20\x20\x20\x20\x20\x20\x20\x20\x20
E: ID_MODEL_ID=fcda
E: ID_REVISION=0-10
E: ID_SERIAL=SAMSUNG_HD501LJ_XXXXXXXXXXX-0:0
E: ID_SERIAL_SHORT=XXXXXXXXXXX
E: ID_TYPE=disk
E: ID_INSTANCE=0:0
E: ID_BUS=usb
E: ID_USB_INTERFACES=:080650:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usb-storage
E: ID_PATH=pci-0000:00:1d.7-usb-0:2:1.0-scsi-0:0:0:0
E: ANACBIN=/sbin
E: DKD_PARTITION=1
E: DKD_PARTITION_SCHEME=mbr
E: DKD_PARTITION_NUMBER=1
E: DKD_PARTITION_TYPE=0x83
E: DKD_PARTITION_SIZE=500105217024
E: DKD_PRESENTATION_NOPOLICY=0
E: DEVLINKS=/dev/block/8:17 /dev/disk/by-id/usb-SAMSUNG_HD501LJ_XXXXXXXXXXX-0:0-part1 /dev/disk/by-path/pci-0000:00:1d.7-usb-0:2:1.0-scsi-0:0:0:0-part1

Comment 10 David Zeuthen 2009-10-31 19:41:19 UTC
(In reply to comment #9)
> Yes it is.
> 
> $ udevadm info -q all -n /dev/sdb1

Apparently not. Or at least blkid fails to properly detect the LUKS header. Or, more likely, the header is corrupt and/or missing on your device.

Reassigning to util-linux-ng since that package provides blkid.

Comment 11 David Zeuthen 2009-10-31 19:43:16 UTC
Also, please try running '/sbin/blkid -o udev /dev/sdb1' as root and post the output here. Thanks.

Comment 12 Need Real Name 2009-10-31 20:15:32 UTC
I get no output for that device when I run that command. Same for sdb alone.

Comment 13 David Zeuthen 2009-10-31 20:23:27 UTC
Actually, I meant '/sbin/blkid -p -o udev /dev/sdb1' - does that also give no output? Also in permissive mode?

If so, the contents of your device is probably busted...

Comment 14 Need Real Name 2009-10-31 21:40:09 UTC
# /sbin/blkid -p -o udev /dev/sdb1
/dev/sdb1: ambivalent result (probably more filesystems on the device)
# setenforce 0
# /sbin/blkid -p -o udev /dev/sdb1
/dev/sdb1: ambivalent result (probably more filesystems on the device)

Comment 15 Karel Zak 2009-11-01 00:58:01 UTC
(In reply to comment #14)
> # /sbin/blkid -p -o udev /dev/sdb1
> /dev/sdb1: ambivalent result (probably more filesystems on the device)

Try 

    BLKID_DEBUG=0xffff blkid -p /dev/sdb1

to see more details.

Anyway, the error message means that there is more valid FS signatures on the device. I guess the LUKS has been formatted by any old cryptsetup version.

The ideal solution is to re-format the device by

    cryptsetup  luksFormat /dev/sdb1

but !!! don't forget to backup data on the device !!! 

Note, in F-13 will be a new wipefs(1) command for such situations.

Comment 16 Need Real Name 2009-11-01 09:18:39 UTC
# LKID_DEBUG=0xffff blkid -p /dev/sdb1
/dev/sdb1: ambivalent result (probably more filesystems on the device)

> I guess the LUKS has been formatted by any old cryptsetup version.

It worked fine with Fedora 11. How do I get the data off to make it work with Fedora 12?

Comment 17 David Zeuthen 2009-11-01 15:09:05 UTC
(In reply to comment #16)
> # LKID_DEBUG=0xffff blkid -p /dev/sdb1
> /dev/sdb1: ambivalent result (probably more filesystems on the device)
> 
> > I guess the LUKS has been formatted by any old cryptsetup version.
> 
> It worked fine with Fedora 11.

That's just F11 - we're more strict nowadays.

> How do I get the data off to make it work with
> Fedora 12?  

You should be able to manually set up the device like this

 # cryptsetup luksOpen /dev/sdb1 myluksdata
 <enter passphrase>
 # mkdir /media/myluksdata
 # mount /dev/mapper/myluksdata /media/myluksdata

 <copy stuff>

 # umount /media/myluksdata
 # rmdir /media/myluksdata
 # cryptsetup luksClose myluksdata

Comment 18 Need Real Name 2009-11-01 20:14:25 UTC
Okay, so thanks for the workaround, I can get at my data now :)

I'm not sure people will be too pleased about their encrypted volumes suddenly becoming unavailable after they upgrade though. Will this be in the release notes, or is this a blocker?

Also what did you mean by "we're more strict nowadays"? If cryptsetup can mount the device, why can't gnome?

*confused*

Comment 19 Need Real Name 2009-11-01 20:18:18 UTC
Looking some more:

fdisk finds a single partition on this device.

Running
 cryptsetup luksDump /path/to/partition
shows me a luks volume is found.

Maybe the problem is with the gnome stuff?

Comment 20 David Zeuthen 2009-11-01 22:16:42 UTC
Detecting what's *on* the device is an inherently difficult problem, it's a guessing game really. And making a wrong guess can result in data corruption and/or data loss. For example, suppose that we guessed your device contained a FAT filesystem instead of a LUKS device (this is not far-fetched) and we (auto-) mounted the FAT filesystem. Then the FAT filesystem driver would scribble over some of the encrypted data. Not so good.

So that's why we tend to err on the safe side. cryptsetup only cares about LUKS and doesn't know about the tens of filesystems/schemes known by blkid. So you can't really trust it except that it will tell you if the device *looks* like a LUKS device.

As mentioned, blkid detects multiple things on your device. So the safe guess, in this case, is to just avoid making a guess at all. The reason blkid detects multiple things on the device is because the tools you used to set up the device was broken insofar that they didn't clean old signatures.

This is not a problem with the "gnome stuff". Nor is it something that needs to be release noted or "fixed" (it can't be fixed the way you want it to be fixed). This is a well-known problem and the solution is to teach all the tools about wiping other signatures on the device. As Karel says, wipefs(1) is a step in that direction.

Comment 21 David Zeuthen 2009-11-01 22:29:11 UTC
However, it might be nice if blkid exported one or more udev properties so we can notify the user - either passively by having him look for warning icons for the device in Palimpsest Disk Utility - or actively by popping up a dialog or notification icon.

Karel, how about making blkid exporting into the udev database something like

 ID_MULTIPLE_SIGNATURES="crypto:crypto_LUKS filesystem:vfat:FAT32"

e.g. $usage:$type[:$version] separated by space. Might also help debugging when handling bug reports (like this one). Thanks.

Comment 22 Need Real Name 2009-11-01 22:34:57 UTC
Okay. I understand - thanks for the clarification.

Back to the user though - what can the user do in this case? blkid might not know what filesystem type it is, but the user does.

Can the "not sure" case be detected, and advice be given on how to correct it?
How can I repair this header to make it look right?

Thanks.

Comment 23 David Zeuthen 2009-11-01 22:55:01 UTC
(In reply to comment #22)
> Back to the user though - what can the user do in this case? blkid might not
> know what filesystem type it is, but the user does.
> 
> Can the "not sure" case be detected, and advice be given on how to correct it?
> How can I repair this header to make it look right?

We could have a "Fix Ambiguity" (for lack of a better term) button in Palimpsest that is shown only in these situations. 

If pressed, we'd prompt the user with a dialog containing a list of detected signatures (cf. ID_MULTIPLE_SIGNATURES). The user chooses one and we clear the other signatures. It'd require the enhancement requested in comment 21 and, probably also, support in the proposed wipefs(1) tool - e.g. it should support something like 'wipefs --clear-everything-except crypto_LUKS' (in some cases it might not be possible to reliably do this without data loss).

It might not be worth the effort, this is a corner case after all... but then again functionality like this is important - and might save 0.1% of the users a lot of time and confusion.

Karel, what do you think?

Comment 24 David Zeuthen 2009-11-03 14:50:34 UTC
*** Bug 532594 has been marked as a duplicate of this bug. ***

Comment 25 Bug Zapper 2009-11-16 14:39:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 26 Need Real Name 2009-12-04 18:52:35 UTC
So will there be a way for all the <F12 users to repair the luks header so they can easily access their data?

Comment 27 Karel Zak 2009-12-04 19:17:53 UTC
(In reply to comment #26)
> So will there be a way for all the <F12 users to repair the luks header so they
> can easily access their data?  

In F-13 we prefer LUKS to the others standard filesystems, I'll backport this feature to F-12. The other possibility is install util-linux-ng from F-13 and use wipefs(8) command.

(In reply to comment #23)
> If pressed, we'd prompt the user with a dialog containing a list of detected
> signatures (cf. ID_MULTIPLE_SIGNATURES).

The blkid(8) command supports $ID_FS_AMBIVALENT since util-linux 2.17 (already in F-13).

See also http://karelzak.blogspot.com/

Comment 28 Karel Zak 2009-12-07 09:40:00 UTC
Backported, should be available in util-linux-ng >= 2.16.2.

Comment 29 Fedora Update System 2009-12-07 10:13:01 UTC
util-linux-ng-2.16.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/util-linux-ng-2.16.2-2.fc12

Comment 30 Fedora Update System 2009-12-08 07:44:19 UTC
util-linux-ng-2.16.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update util-linux-ng'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12878

Comment 31 Andriy Tsykholyas 2009-12-09 18:47:33 UTC
Checked the test update on both x86_64 and i386 boxes. Unfortunately the problem is still present - no password prompt when luks encrypted usb stick is inserted.

Comment 32 Karel Zak 2009-12-09 20:53:38 UTC
Andriy, I'd like to see output from:

   # rpm -qf /sbin/blkid 
   # BLKID_DEBUG=0xffff /sbin/blkid -p -o udev <device>

where the <device> is your usb stick (see dmesg for the device name or so..).

Comment 33 Andriy Tsykholyas 2009-12-10 06:44:58 UTC
Here is the output:
$ rpm -qf /sbin/blkid
util-linux-ng-2.16.2-2.fc12.x86_64
$ BLKID_DEBUG=0xffff /sbin/blkid -p -o udev /dev/sdb1
libblkid: debug mask set to 0xffff.

I suspect this bug might be related with bug 530898.

Comment 34 Karel Zak 2009-12-10 10:15:06 UTC
Andriy, you have to be root if you want to access block devices.

 $ su -
 # BLKID_BLKID_DEBUG=0xffff /sbin/blkid -p -o udev /dev/sdb1

Comment 35 Karel Zak 2009-12-10 10:16:15 UTC
Sorry, copy & past bug. Should be "BLKID_DEBUG=0xffff".

Comment 36 Andriy Tsykholyas 2009-12-10 11:21:17 UTC
Karel, here is the output (as root). It is produced on different F12 box and usb stick is sdc1 here (but it is the same stick). 
[root@f12-u100 ~]# rpm -qf /sbin/blkid
util-linux-ng-2.16.2-2.fc12.i686
[root@f12-u100 ~]# BLKID_DEBUG=0xffff /sbin/blkid -p -o udev /dev/sdc1
libblkid: debug mask set to 0xffff.
reseting blkid_probe
ready for low-probing, offset=0, size=0
--> starting probing loop [idx=-1]
linux_raid_member: call probefunc()
ddf_raid_member: call probefunc()
isw_raid_member: call probefunc()
lsi_mega_raid_member: call probefunc()
via_raid_member: call probefunc()
silicon_medley_raid_member: call probefunc()
nvidia_raid_member: call probefunc()
promise_fasttrack_raid_member: call probefunc()
highpoint_raid_member: call probefunc()
adaptec_raid_member: call probefunc()
jmicron_raid_member: call probefunc()
crypto_LUKS: magic sboff=0, kboff=0
crypto_LUKS: call probefunc()
assigning UUID
assigning VERSION
assigning TYPE
assigning USAGE
<-- leaving probing loop (type=crypto_LUKS) [idx=15]
--> starting probing loop [idx=15]
ext4dev: magic sboff=56, kboff=1
ext4dev: call probefunc()
ext4: magic sboff=56, kboff=1
ext4: call probefunc()
ext3: magic sboff=56, kboff=1
ext3: call probefunc()
ext2_sb.compat = 0000003C:00000002:00000003
assigning LABEL
assigning UUID
assigning SEC_TYPE
assigning VERSION
assigning TYPE
assigning USAGE
<-- leaving probing loop (type=ext3) [idx=22]
--> starting probing loop [idx=22]
ext2: magic sboff=56, kboff=1
ext2: call probefunc()
jbd: magic sboff=56, kboff=1
jbd: call probefunc()
ufs: call probefunc()
sysv: call probefunc()
<-- leaving probing loop (failed) [idx=49]
ERROR: ambivalent result detected (2 filesystems)!
/dev/sdc1: ambivalent result (probably more filesystems on the device)

Not sure if it matters but the actual file system above the LUKS is not fat32 but ext3.

I'll also try to format another stick with LUKS as suggested in comment 15 and post the results here.

Comment 37 Karel Zak 2009-12-10 13:25:50 UTC
(In reply to comment #36)
> I'll also try to format another stick with LUKS as suggested in comment 15 and
> post the results here. 

 This is not necessary, I'm able to reproduce the bug now. Thanks.

Comment 38 Karel Zak 2009-12-10 13:55:43 UTC
Ah.... you have to update the libblkid library too. It means:

  # yum --enablerepo=updates-testing update libblkid

and then try /sbin/blkid. I have to fix the ut-linux-ng specfile, 
there should be:

  Requires: libuuid = %{version}-%{release}
  Requires: libblkid = %{version}-%{release}

Comment 39 Fedora Update System 2009-12-10 15:01:01 UTC
util-linux-ng-2.16.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/util-linux-ng-2.16.2-4.fc12

Comment 40 Andriy Tsykholyas 2009-12-10 19:34:43 UTC
After updating libblkid (to 2.16.2-2.fc12) as described in comment 38 the bug is fixed. After inserting encrypted usb stick the password prompt appears as it should :)
Many thanks, Karel!

In case you still need /sbin/blkid output here it is:
# BLKID_DEBUG=0xffff /sbin/blkid -p -o udev /dev/sdb1
libblkid: debug mask set to 0xffff.
reseting blkid_probe
ready for low-probing, offset=0, size=1017101312
--> starting probing loop [idx=-1]
linux_raid_member: call probefunc()
ddf_raid_member: call probefunc()
isw_raid_member: call probefunc()
lsi_mega_raid_member: call probefunc()
via_raid_member: call probefunc()
silicon_medley_raid_member: call probefunc()
nvidia_raid_member: call probefunc()
promise_fasttrack_raid_member: call probefunc()
highpoint_raid_member: call probefunc()
adaptec_raid_member: call probefunc()
jmicron_raid_member: call probefunc()
crypto_LUKS: magic sboff=0, kboff=0
crypto_LUKS: call probefunc()
assigning UUID
assigning VERSION
assigning TYPE
assigning USAGE
<-- leaving probing loop (type=crypto_LUKS) [idx=15]
returning UUID value
ID_FS_UUID=2a81d8b2-d586-4f01-a164-a20337faac15
ID_FS_UUID_ENC=2a81d8b2-d586-4f01-a164-a20337faac15
returning VERSION value
ID_FS_VERSION=256
returning TYPE value
ID_FS_TYPE=crypto_LUKS
returning USAGE value
ID_FS_USAGE=crypto

Comment 41 Fedora Update System 2009-12-11 18:21:10 UTC
util-linux-ng-2.16.2-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update util-linux-ng'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13079

Comment 42 Need Real Name 2010-01-01 17:11:35 UTC
Works great - thanks a lot!

util-linux-ng-2.16.2-5.fc12.x86_64

Comment 43 Bug Zapper 2010-11-04 06:59:11 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 44 Bug Zapper 2010-12-04 03:36:14 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.